Show / Hide Table of Contents

# Class OpenIddictScopeDescriptor

Represents an OpenIddict scope descriptor.

##### Inheritance

System.Object
OpenIddictScopeDescriptor

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictScopeDescriptor

### Properties

#### Description

Gets or sets the description associated with the scope.

##### Declaration

    public string Description { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Descriptions

Gets the localized descriptions associated with the scope.

##### Declaration

    public Dictionary<CultureInfo, string> Descriptions { get; }

##### Property Value

Type | Description
--- | ---
Dictionary<CultureInfo, System.String> |

#### DisplayName

Gets or sets the display name associated with the scope.

##### Declaration

    public string DisplayName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### DisplayNames

Gets the localized display names associated with the scope.

##### Declaration

    public Dictionary<CultureInfo, string> DisplayNames { get; }

##### Property Value

Type | Description
--- | ---
Dictionary<CultureInfo, System.String> |

#### Name

Gets or sets the unique name associated with the scope.

##### Declaration

    public string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Properties

Gets the additional properties associated with the scope.

##### Declaration

    public Dictionary<string, JsonElement> Properties { get; }

##### Property Value

Type | Description
--- | ---
Dictionary<System.String, JsonElement> |

#### Resources

Gets the resources associated with the scope.

##### Declaration

    public HashSet<string> Resources { get; }

##### Property Value

Type | Description
--- | ---
HashSet<System.String> |